#include "Input.h"
#include "Main.h"
#include <string>
#include <conio.h>

using namespace std;

void Input::Get(string &aInput)
{
	//If you are loading, don't get user input, load the next input
	if (mSaveLoading)
	{
		Main::Get()->mSaveLoad.GetNextInput();
		return;
	}

	Main::Get()->mOut.EndLines(2);
	Main::Get()->mOut.Text("> ");
	getline(cin, aInput);
}

void Input::WaitForKey()
{
	if (mSaveLoading)
		return;

	Main::Get()->mOut.EndLines(1);
	Main::Get()->mOut.Text("(press any key to continue...)");
	_getch();
}